extends ../_docs-template

block vars
  - var activeLink = 'react';
  - var title = 'Button React Component | Framework7 React Documentation';

block docs-index

block content


  .docs-nav
    include ../_docs-menu-react
  .docs-content
    .motion-docs-page-title
      h1 Button React Component
      script(src="/js/motion/button.js")
      f7-motion-button(motion)

    p Button React component represents Framework7's <a href="../docs/button.html">Button</a> elements.

    h2 Button Components
    p There are following components included:
    ul
      li `Button`  - single button
      li `Segmented`  - segmented wrapper for buttons

    h2 Button Properties
    p Button component has almost the same properties as the <a href="link.html">Link</a> component but with few additional button-specific properties:
    table.params-table
      thead
        tr
          th Prop
          th Type
          th Default
          th Description
      tbody
        tr
          th(colspan="4") &lt;Segmented&gt; properties
        tr
          td raised
          td boolean
          td false
          td Makes segmented raised
        tr
          td raisedIos
          td boolean
          td false
          td Makes segmented raised only in iOS theme
        tr
          td raisedMd
          td boolean
          td false
          td Makes segmented raised only in MD theme
        tr
          td round
          td boolean
          td false
          td Makes segmented round
        tr
          td roundIos
          td boolean
          td false
          td Makes segmented round only in iOS theme
        tr
          td roundMd
          td boolean
          td false
          td Makes segmented round only in MD theme
        tr
          td strong
          td boolean
          td false
          td Makes strong segmented
        tr
          td strongIos
          td boolean
          td false
          td Makes strong segmented only in iOS theme
        tr
          td strongMd
          td boolean
          td false
          td Makes strong segmented only in MD theme
        tr
          td tag
          td string
          td div
          td Tag used to render Segmented element
        tr
          th(colspan="4") &lt;Button&gt; properties
        tr
          td type
          td string
          td
          td If it is one of `submit`, `button` or `reset` then it will be rendered as `<button>` element with same `type` attribute
        tr
          td tabLink
          td string<br>boolean
          td
          td Enables tab link and specify CSS selector of the target tab (if specified as a string)
        tr
          td tabLinkActive
          td boolean
          td false
          td Makes this tab link active
        tr
          td active
          td boolean
          td false
          td Makes this button active state when used in Segmented. Must be used instead of `tab-link-active`
        tr
          td text
          td string
          td
          td Button text label
        tr
          td tooltip
          td string
          td
          td Button <a href="../docs/tooltip.html">tooltip</a> text to show on button hover/press
        tr
          td tooltipTrigger
          td string
          td hover
          td Defines how to trigger (open) Tooltip. Can be `hover`, `click` or `manual`
        tr
          td round
          td boolean
          td false
          td Makes button round
        tr
          td roundIos
          td boolean
          td false
          td Makes button round for iOS theme only
        tr
          td roundMd
          td boolean
          td false
          td Makes button round for MD theme only
        tr
          td large
          td boolean
          td false
          td Makes large button
        tr
          td largeIos
          td boolean
          td false
          td Makes large button for iOS theme only
        tr
          td largeMd
          td boolean
          td false
          td Makes large button for MD theme only
        tr
          td small
          td boolean
          td false
          td Makes small button
        tr
          td smallIos
          td boolean
          td false
          td Makes small button for iOS theme only
        tr
          td smallMd
          td boolean
          td false
          td Makes small button for MD theme only
        tr
          td fill
          td boolean
          td false
          td Makes button filled color
        tr
          td fillIos
          td boolean
          td false
          td Makes button filled color for iOS theme only
        tr
          td fillMd
          td boolean
          td false
          td Makes button filled color for MD theme only
        tr
          td tonal
          td boolean
          td false
          td Makes tonal style button
        tr
          td tonalIos
          td boolean
          td false
          td Makes tonal style button for iOS theme only
        tr
          td tonalMd
          td boolean
          td false
          td Makes tonal style button for MD theme only
        tr
          td raised
          td boolean
          td false
          td Makes button raised
        tr
          td raisedIos
          td boolean
          td false
          td Makes button raised only in iOS theme
        tr
          td raisedMd
          td boolean
          td false
          td Makes button raised only in MD theme
        tr
          td outline
          td boolean
          td false
          td Makes button outline
        tr
          td outlineIos
          td boolean
          td false
          td Makes button outline only in iOS theme
        tr
          td outlineMd
          td boolean
          td false
          td Makes button outline only in MD theme
        tr
          th(colspan="4") &lt;Button&gt; preloader related properties
        tr
          td preloader
          td boolean
          td false
          td Enables button to have preloader
        tr
          td loading
          td boolean
          td false
          td Controls button state to show/hide preloader and hide/show button text (switch button to loading state)
        tr
          td preloaderColor
          td string
          td
          td button's preloader color
        tr
          td preloaderSize
          td number<br>string
          td
          td button's preloader size
        tr
          th(colspan="4") &lt;Button&gt; icon related properties
        +reactLinkIconProps
        tr
          th(colspan="4") &lt;Button&gt; navigation/router related properties
        +reactLinkRouterProps
        tr
          th(colspan="4") &lt;Button&gt; action related properties
        +reactLinkActionsProps

    h2 Button Events
    table.events-table
      thead
        tr
          th Event
          th Description
      tbody
        tr
          th(colspan="2") &lt;Button&gt; events
        tr
          td click
          td Event will be triggered after click on a button

    h2 Examples
    +examplePreview('react', 'buttons.jsx', 'buttons')
